<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.infrastructure.mapper.SchTerminatorMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.scheduling.management.SchTerminator">
                    <id column="id" property="id"/>
                    <result column="terminator_ip" property="terminatorIp"/>
                    <result column="terminator_name" property="terminatorName"/>
                    <result column="only_collector_ids" property="onlyCollectorIds"/>
                    <result column="priority_collector_ids" property="priorityCollectorIds"/>
                    <result column="restrict_state" property="restrictState"/>
                    <result column="busy_state" property="busyState"/>
                    <result column="online_state" property="onlineState"/>
                    <result column="last_task_exec_time" property="lastTaskExecTime"/>
                    <result column="executing_task_name" property="executingTaskName"/>
                    <result column="last_task_error_msg" property="lastTaskErrorMsg"/>
                    <result column="create_time" property="createTime"/>
                    <result column="update_time" property="updateTime"/>
        </resultMap>

            <!-- 通用查询结果列 -->
            <sql id="Base_Column_List">
                id, terminator_ip, terminator_name, only_collector_ids, priority_collector_ids, restrict_state, busy_state, online_state, last_task_exec_time, executing_task_name, last_task_error_msg, create_time, update_time
            </sql>

</mapper>
